Retrieve the Current Credentials
GET /api/0/
Return the API version, the scopes of the token that authenticated the request, and the authenticated user. Use it to check which scopes a token has.
Authentication is optional. auth is null unless the request uses a token or API
key. user is null for anonymous requests and for credentials that don't belong
to a user, such as API keys and organization auth tokens.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:Copied
curl https://sentry.io/api/0/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied{ "version": "0", "auth": { "scopes": [ "org:read", "project:read" ] }, "user": { "id": "1", "name": "Jane Bloggs", "username": "jane@example.com", "email": "jane@example.com", "avatarUrl": "https://gravatar.com/avatar/1d4e7f2c9b3a?s=32&d=mm", "isActive": true, "isSuspended": false, "hasPasswordAuth": true, "isManaged": false, "dateJoined": "2023-03-01T18:12:42.000000Z", "lastLogin": "2026-11-02T09:31:05.000000Z", "has2fa": true, "lastActive": "2026-11-07T15:20:11.000000Z", "isSuperuser": false, "isStaff": false, "emails": [ { "id": "1", "email": "jane@example.com", "is_verified": true } ], "experiments": {}, "options": { "theme": "system", "language": "en", "stacktraceOrder": -1, "defaultIssueEvent": "recommended", "timezone": "UTC", "clock24Hours": false, "prefersIssueDetailsStreamlinedUI": null }, "flags": { "newsletter_consent_prompt": false }, "avatar": { "avatarType": "letter_avatar", "avatarUuid": null, "avatarUrl": null }, "identities": [] } }
Was this helpful?